REM ---------------------------------------------------------------------
REM
REM Copyright (c) CREATIS (Centre de Recherche en Acquisition et Traitement de l'Image 
REM                        pour la Santé)
REM Authors : Eduardo Davila, Frederic Cervenansky, Claire Mouton
REM
REM  This software is governed by the CeCILL-B license under French law and 
REM  abiding by the rules of distribution of free software. You can  use, 
REM  modify and/ or redistribute the software under the terms of the CeCILL-B 
REM  license as circulated by CEA, CNRS and INRIA at the following URL 
REM  http://www.cecill.info/licences/Licence_CeCILL-B_V1-en.html 
REM  or in the file LICENSE.txt.
REM
REM  As a counterpart to the access to the source code and  rights to copy,
REM  modify and redistribute granted by the license, users are provided only
REM  with a limited warranty  and the software's author,  the holder of the
REM  economic rights,  and the successive licensors  have only  limited
REM  liability. 
REM
REM  The fact that you are presently reading this means that you have had
REM  knowledge of the CeCILL-B license and that you accept its terms.
REM ------------------------------------------------------------------------  

@echo off

set creatoolsGeneration=%1
set docGeneration=%2

set scriptsFolder=%cd%


rmdir %logFolder% /s /q
mkdir %logFolder%

echo call configure variables
call %scriptsFolder%\base\configureVariables.bat

echo call Clean and Download-Sources
start /B /wait %scriptsFolder%\base\downloadSources.bat

echo %cd%

cd %scriptsFolder%
call All2.bat %creatoolsGeneration% %docGeneration% Release Win64

cd %scriptsFolder%
call All2.bat %creatoolsGeneration% %docGeneration% Release Win32 

cd %scriptsFolder%
call All2.bat %creatoolsGeneration% %docGeneration% Debug Win64

cd %scriptsFolder%
call All2.bat %creatoolsGeneration% %docGeneration% Debug Win32

echo ..End..

cd %scriptsFolder%

